MANPATH(1)

NOME
manpath - determina o caminho de procura para páginas do manual

SINOPSE
manpath [-qgdc?V] [-m sistema[,...]] [-C ficheiro]

DESCRIÇÃO
Se $MANPATH estiver definida, manpath mostra simplesmente o seu conteúdo e emite um aviso. Senão, manpath determina um caminho de procura para a hierarquia de páginas do manual adequado e mostra os resultados. O caminho separado por dois-pontos é determinado usando informação retirada do ficheiro de configuração do man-db – (/etc/man_db.conf) e do ambiente do utilizador.

OPÇÕES

-q, --quiet
    Não emite avisos.

-d, --debug
    imprime informação de depuração.

-c, --catpath
    Produz um catpath em oposição a um manpath. Uma vez determinado o manpath, cada elemento do caminho é convertido para o seu catpath relativo.

-g, --global
    Produz um manpath consistindo em todos os caminhos nomeados como "global" dentro do ficheiro de configuração do man-db.

-m sistema[,...], --systems=sistema[,...]
    If this system has access to other operating systems' manual hierarchies, this option can be used to include them in the output of manpath. To include NewOS's manual page hierarchies use the option -m NewOS. O sistema especificado pode ser uma combinação de nomes de sistemas operativos, separados por vírgulas. Para incluir a hierarquia de páginas do manual do sistema nativo, o nome de sistema man tem de estar incluído na cadeia de argumentos. Esta opção sobrepõe-se à variável de ambiente $SYSTEM.

-C ficheiro, --config-file=ficheiro
    Use this user configuration file rather than the default of ~/.manpath.

-?, --help
    mostra uma mensagem de ajuda e sai.

--usage
    mostra uma mensagem curta de uso e sai.

-V, --version
    mostra informação da versão.

AMBIENTE

MANPATH
    If $MANPATH is set, manpath displays its value rather than determining it on the fly. See the SEARCH PATH section of manpath(5) for the default behaviour and details of how this environment variable is handled.

SYSTEM
    Se $SYSTEM estiver definido, terá o mesmo efeito como se fosse especificado como argumento da opção -m.

FICHEIROS

/etc/man_db.conf
    ficheiro de configuração do man-db.

VEJA TAMBÉM
apropos(1), man(1), whatis(1)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

ERROS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db